/* disable tree */
.jstree-node {
    background-color: #fff !important;
}
.jstree .jstree-node.jstree-hovered {
    background: #ffff !important;
}
.jstree-default .jstree-anchor {
    background-color: #fff !important;
}
.jstree-default .jstree-leaf > .jstree-ocl {
    background-position: -68px 0px!important;
}

/* .jstree-default .jstree-icon:empty {
    width: 0!important;
    height: 0px!important;
} */

/* .jstree-node:hover {
    background: #ffff !important;
} */
.jstree-default > .jstree-striped {
    background-size: auto!important;
} 
/*end disable tree */
.jstree-wholerow-ul {
    margin-top: 8px;
}
.card-footer {
    padding: 1rem 2.25rem!important;
}
/* Smartphones (portrait and landscape) ----------- */
@media only screen and (min-device-width : 320px) and (max-device-width : 480px) {
    div.sticky {
        position:initial!important;
    }
    .modal.modal-sticky.modal-sticky-bottom-right {
        right: 20px!important;
    }
}
@media only screen and (min-width: 768px) {
    div.sticky {
        background-color: transparent;
        position:fixed;
        bottom:5px;
        width:350px;
        z-index:100;
        left: 35%;
    }
}
.jstree-node {
    padding-bottom: 8px;
}
.jstree-checkbox-disabled {
    pointer-events: none;
    opacity: 0.6;
}
.no_checkbox > i.jstree-checkbox {
    display:none;
}
body, html {
    height: 100%;
}
.leaflet-top {
    top: 57px!important;
    position: fixed!important;
}
.info {
    padding: 8px 8px;
    font: 14px/16px Arial, Helvetica, sans-serif;
    background: white;
    background: rgba(255,255,255,0.8);
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
    border-radius: 5px;
}
.info h4 {
    margin: 0 0 5px;
    color: #777;
    font-weight: 500;
}
.legend {
    line-height: 18px;
    color: #555;
    background: rgba(255,255,255,0.8);
    padding: 0!important;
    margin-right: 55px!important;
    top: 10px!important;
}
.legend i {
    width: 18px;
    height: 18px;
    float: left;
    margin-right: 8px;
}
.sticky-toolbar {
    z-index: 1001;
}
.sticky-toolbar-options {
    position: fixed;
    top: 30%;
    left: 0;
    list-style: none;
    margin: 0;
    z-index: 1001;
    box-shadow: 0px 0px 50px 0px rgba(82, 63, 105, 0.15);
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-direction: column;
    flex-direction: column;
    border-top-right-radius: 0.42rem;
    border-bottom-right-radius: 0.42rem;
}
.leaflet-sidebar-left {
    left: 6px!important;
}
.leaflet-sidebar-left.leaflet-touch {
    border: 2px solid rgba(0, 0, 0, 0.2);
}
.offcanvas-right {
    z-index: 1002!important;
}
.offcanvas-left {
    z-index: 2001!important;
}
#map {
    height: 100vh; /* Pastikan tinggi diatur */
    width: 100%;   /* Atau atur lebar */
}
.leaflet-bottom{
    margin-bottom: 4px!important;
}
.tab-pane {
    max-height: 100%;
    overflow-y: auto;
}
.card-scroll {
    max-height: 90%; 
    overflow-y: auto; 
    scroll-behavior: smooth;
}
.map-loader {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1000; /* Agar berada di atas peta */
    background: rgba(255, 255, 255, 0.7); /* Transparansi latar belakang */
    padding: 15px;
    border-radius: 10px;
    text-align: center;
}
.leaflet-top {
    top: 0 !important;
}
.kanban-board .kanban-drag {
    padding: 10px!important;
    min-height: 100%!important;
}
.kanban-item {
    padding: 8px!important;
    font-size: 12px!important;
}
.kanban-item {
    margin-bottom: 10px!important;
}
.kanban-container .kanban-board .kanban-board-header .kanban-title-board {
    font-size: 15px!important;
}
.kanban-board header {
    padding: 12px!important;
}
.minicolors-theme-bootstrap .minicolors-swatch {
    cursor: pointer;
}
.minicolors-slider, .minicolors-opacity-slider {
    cursor: default!important;
}
.minicolors .minicolors-grid {
    cursor: default!important;
}

.leaflet-sidebar.collapsed {
    max-height: 40px;
}
.leaflet-container {
    font: 14px / 1.5 "Helvetica Neue", Arial, Helvetica, sans-serif!important;
}
.leaflet-sidebar {
    max-height: 490px;
    width: 360px;
    max-width: 360px;
    top: 10px;
    border-radius: 4px;
}
.leaflet-sidebar-pane {
    min-width: 270px;
}
.leaflet-left .leaflet-control {
    margin-left: 2px!important;
}
.leaflet-sidebar-pane {
    padding: 10px 7px 10px 0px!important;
}
.leaflet-sidebar-content {
    scroll-behavior: smooth;
}
@media (min-width: 1200px) {
    .leaflet-sidebar-left ~ .leaflet-control-container .leaflet-left {
        left: 370px;
    }
}

/* alert style */
.card-alert {
    width: 100%;
    height: 80px;
    border-radius: 8px;
    box-sizing: border-box;
    padding: 10px 15px;
    background-color: #ffffff;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: space-around;
    gap: 10px;
}
.wave {
    position: absolute;
    transform: rotate(90deg);
    left: -31px;
    top: 32px;
    width: 80px;
    fill: #fc0c0c3a;
    background-color: #fff;
}
.icon-container {
    width: 35px;
    height: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #fc0c0c48;
    border-radius: 50%;
    margin-left: 8px;
}
.icon {
    width: 17px;
    height: 17px;
    color: #d10d0d;
}
.message-text-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    flex-grow: 1;
}
.message-text,
.sub-text {
    margin: 0;
    cursor: default;
}
.message-text {
    color: #d10d0d;
    font-size: 14px;
    font-weight: 600;
}
.sub-text {
    font-size: 13px;
    color: #555;
}